LPARAMETERS tcString, tnWidth, tcFont, tnSize, tcStyle
*-----------------------------------------------------
* tcString	-	String to trim
* tnWidth	-	Requested string width
* tcFont	-	String font name (default = 'Arial')
* tnSize	-	String font size (default = 9)
* tcStyle	-	String font style (default = 'N')
*
* Returns: String
*-----------------------------------------------------

*--- default font ---------
IF Empty(tcFont)
  tcFont = 'Arial'
ENDIF 
IF Empty(tnSize)
  tnSize = 9
ENDIF 
IF Empty(tcStyle)
  tcStyle = 'N'
ENDIF 
*--------------------------
LOCAL jnMax as Integer, jcDots as String,jn1 as Integer, jcTemp as String 
jnHeaderWidth = Txtwidth(tcString, tcFont, tnSize, tcStyle)*Fontmetric(6, tcFont, tnSize, tcStyle)
IF jnHeaderWidth > tnWidth
  jnMax = Len(tcString)
  jcDots = '...'
  FOR jn1 = 1 TO jnMax
    jcTmp = Left(tcString,jn1) + jcDots
    IF Txtwidth(jcTmp, tcFont, tnSize, tcStyle)*Fontmetric(6, tcFont, tnSize, tcStyle) > (tnWidth - 10)
      RETURN jcTmp
    ENDIF 
  NEXT 
ELSE 
  RETURN tcString
ENDIF 
RETURN jcTmp
